# Run optional test
%bcond_without perl_Types_UUID_enables_optional_test

Name:           perl-Types-UUID
Version:        0.004
Release:        2%{?dist}
Summary:        Type constraints for UUIDs
# CONTRIBUTING: GPL+ or Artistic or CC-BY-SA
# COPYRIGHT:    Public Domain
# other files:  GPL+ or Artistic
License:        (GPL+ or Artistic) and (GPL+ or Artistic or CC-BY-SA) and Public Domain
URL:            http://search.cpan.org/dist/Types-UUID/
Source0:        http://www.cpan.org/authors/id/T/TO/TOBYINK/Types-UUID-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
# Run-time:;
BuildRequires:  perl(:VERSION) >= 5.8
BuildRequires:  perl(Type::Library)
BuildRequires:  perl(Type::Tiny) >= 1.000000
BuildRequires:  perl(Types::Standard)
BuildRequires:  perl(UUID::Tiny) >= 1.02
BuildRequires:  perl(warnings)
# Tests:
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(Test::TypeTiny)
%if %{with perl_Types_UUID_enables_optional_test}
# Optional tests:
BuildRequires:  perl(URI)
%endif
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Type::Tiny) >= 1.000000
Requires:       perl(UUID::Tiny) >= 1.02

# Remove under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\((Type::Tiny|UUID::Tiny)\\)$

%description
Types::UUID is a type constraint Perl library suitable for use with Moo/Moose
attributes, Kavorka sub signatures, and so forth.

%prep
%setup -q -n Types-UUID-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%license LICENSE
%doc Changes CONTRIBUTING COPYRIGHT CREDITS examples README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.004-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 04 2018 Petr Pisar <ppisar@redhat.com> 0.004-1
- Specfile autogenerated by cpanspec 1.78.
